package OrderToPay;

import com.metamaxim.modelscope.callbacks.*;
import java.util.*;

public class Pay extends Event {

	public void handleEvent() {

		Event pay = this.createEvent("Pay");
		pay.submitToModel();

		Instance myInvoice = this.getInstance("Invoice");
		Date datePaid = myInvoice.getDate("Date Paid");
		Instance myOrder = myInvoice.getInstance("Source");
		int orderAmount = myOrder.getCurrency("Order Amount");
		int orderPaidAmount = myOrder.getCurrency("Paid Amount");

		if (orderPaidAmount >= orderAmount) {

			Event close = this.createEvent("Close");
			close.setInstance("Order", myOrder);
			close.setDate("Date Closed", datePaid);
			close.submitToModel();
		}
	}

}




